GET
Get Latest AutoKYB Outcome
Return the most recent AutoKYB analyze outcome for an identity. Same access as GET /v1/identities/:identityId. 404 if the identity is inaccessible or no pass has been recorded.
Path Params
-
identityIdstring requiredThe unique ID of the identity
Responses
200
200
Response Body
object
-
statusstring enum requiredStatus of the most recent AutoKYB analyze passrunningcompletepartialfailedskipped -
modestring enum requiredAutoKYB operating mode used for the passprefillsuggest -
requestIdstring requiredIdentifier of the AutoKYB analyze pass that produced this -
fieldsarray of objectsPer-field outcomes: filled, suggested, needs review, missingfields object
-
keystring requiredDotted path of the identity field, e.g. business.legalName -
proposedValuemap nullableValue AutoKYB proposed for the field -
currentValuemap nullableValue already present on the identity at analyze time -
sourcemap nullableProvenance of the proposed value, e.g. the source document -
confidencenumberModel confidence in the proposed value, between 0 and 1 -
actionstring enum requiredOutcome recorded for a single fieldwrotesuggestedskipped_user_ownedmissingneeds_review
-
-
gapsarray of stringsField keys still missing after the pass -
updatedAtstring date-time requiredWhen the outcome was last written, ISO 8601
401
401
Response Body
object
-
errorstring requiredDescription of the error -
detailsarray of strings
404
404
Response Body
object
-
errorstring requiredDescription of the error -
detailsarray of strings
500
500
Response Body
object
-
errorstring requiredDescription of the error -
detailsarray of strings